package smart_gs.drawing_tool.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.logical.region.AnchorRegion;
import smart_gs.smleditor.swingui.GSTabbedPane;
import smart_gs.swingui.WorkspaceWindow;

public class AnchorJumpToLinkedTextActionListener implements ActionListener {

	AnchorRegion anchorRegion;
	
	public AnchorJumpToLinkedTextActionListener(AnchorRegion anchorRegion) {
		this.anchorRegion = anchorRegion;
	}
	@Override
	public void actionPerformed(ActionEvent arg0) {
		WorkspaceWindow.getInstance().getTabbedPane()
			.emphasize(this.anchorRegion.getAnchorTextSegment());
	}

}
